> For the complete documentation index, see [llms.txt](https://developer.usemultiplier.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.usemultiplier.com/rest-api-guides/authentication-guide.md).

# Authentication Guide

Multiplier uses OAuth 2.0 to secure all API endpoints. Accessing the API requires a multi-step process to ensure that you are acting with the correct permissions.

### 1. Obtain a Partner Token

To begin, you must generate a partner-level access token using your client credentials.

* **Endpoint**: `POST /v1/client/token`
* **Grant Type**: `client_credentials`
* **Credentials**: Use the `client_id` and `client_secret` provided by your Multiplier Account Manager.

This token allows you to manage partner-level resources like Customers and Domains.

### 2. Token Exchange (Acting on Behalf of a User)

To access specific employee data or perform actions as a specific user, you must exchange your Partner Token for a **Platform JWT**.

* **Endpoint**: `POST /authenticate/partner/token-exchange`
* **Logic**:
  1. Provide your Partner Token in the `subject_token` field.
  2. Specify the `platformUserId` in the `requested_subject` field.

The resulting token is a Bearer token that must be included in the header of all protected requests: `Authorization: Bearer <your-jwt-token>`

### 3. JSON Web Key Set (JWKS)

For verifying tokens and signatures (such as Webhook payloads), you can retrieve Multiplier's public keys.

* **Endpoint**: `GET /v1/partner/.well-known/jwks.json`


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.usemultiplier.com/rest-api-guides/authentication-guide.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
